Get Current User
GET /user
Returns the details of the currently authenticated user. Use this to retrieve your user ID, which is required by other endpoints.
Authorizations
Section titled “Authorizations”Send your API key in the x-api-key header.
See Authentication.
Responses
Section titled “ Responses ”Success
object
5001JaneDoejane.doe@example.comjane.doe@example.com15551234567true[ 100, 200]Example
{ "id": 5001, "admin_account_ids": [ 100, 200 ], "created_at": "2024-01-10T08:00:00Z", "email": "jane.doe@example.com", "first_name": "Jane", "is_admin": true, "last_name": "Doe", "phone": "15551234567", "updated_at": "2024-06-01T12:00:00Z", "username": "jane.doe@example.com"}The x-api-key header is missing or the key is not valid, or the caller can’t access an ID in the request. IDs that don’t exist return the same response as IDs the caller can’t access.
Error envelope returned with 4xx and 5xx responses.
object
object
Usually the HTTP status code. It can differ; a request to an unknown path returns HTTP 400 with code 500.
401Human-readable description of the error.
The kind of error, for example Authorization or REST.
RESTReturned only with 422 responses. It may give more details about what failed validation, as lists of messages keyed by the name of the input.
object
Examples
{ "error": { "code": 401, "message": "The request does not include a valid access token. Please provide a valid access token.", "type": "Authorization" }}{ "error": { "code": 401, "message": "x-api-key: x-api-key is invalid", "type": "REST" }}{ "error": { "code": 401, "message": "User does not have access to requested resource.", "type": "Authorization" }}